$(function() {
	
	var totalPanels			= $(".scrollContainer2").children().size();
		
	var regWidth			= $(".panel2").css("width");
	var regImgWidth			= $(".panel2 img").css("width");
	var regTitleSize		= $(".panel2 h2").css("font-size");
	var regParSize			= $(".panel2 p").css("font-size");
	
	var movingDistance	    = 300;
	
	var curWidth			= 350;
	var curImgWidth			= 326;
	var curTitleSize		= "20px";
	var curParSize			= "15px";

	var $panels				= $('#slider2 .scrollContainer2 > div');
	var $container			= $('#slider2 .scrollContainer2');

	$panels.css({'float' : 'left','position' : 'relative'});
    
	$("#slider2").data("currentlyMoving2", false);

	$container
		.css('width', ($panels[0].offsetWidth * $panels.length) + 100 )
		.css('left', "-350px");

	var scroll = $('#slider2 .scroll2').css('overflow', 'hidden');

function returnToNormal(element2) {
		$(element2)
			.animate({ width: regWidth })
			.find("img")
			.animate({ width: regImgWidth })
		    .end()
			.find("h2")
			.animate({ fontSize: regTitleSize })
			.end()
			.find("p")
			.animate({ fontSize: regParSize });
	};
	
	function growBigger(element2) {
		$(element2)
			.animate({ width: curWidth })
			.find("img")
			.animate({ width: curImgWidth })
		    .end()
			.find("h2")
			.animate({ fontSize: curTitleSize })
			.end()
			.find("p")
			.animate({ fontSize: curParSize });
	}
	
	
	//direction true = right, false = left
	function change(direction) {
	   
	    //if not at the first or last panel
		if((direction && !(curPanel < totalPanels)) || (!direction && (curPanel <= 1))) { return false; }	
        
        //if not currently moving
        if (($("#slider2").data("currentlyMoving2") == false)) {
            
			$("#slider2").data("currentlyMoving2", true);
			
			var next         = direction ? curPanel + 1 : curPanel - 1;
			var leftValue    = $(".scrollContainer2").css("left");
			var movement	 = direction ? parseFloat(leftValue, 10) - movingDistance : parseFloat(leftValue, 10) + movingDistance;
		
			$(".scrollContainer2")
				.stop()
				.animate({
					"left": movement
				}, function() {
					$("#slider2").data("currentlyMoving2", false);
				});
			
			returnToNormal("#panel2_"+curPanel);
			growBigger("#panel2_"+next);
			
			curPanel = next;
			
			//remove all previous bound functions
			$("#panel2_"+(curPanel+1)).unbind();	
			
			//go forward
			$("#panel2_"+(curPanel+1)).click(function(){ change(true); });
			
            //remove all previous bound functions															
			$("#panel2_"+(curPanel-1)).unbind();
			
			//go back
			$("#panel2_"+(curPanel-1)).click(function(){ change(false); }); 
			
			//remove all previous bound functions
			$("#panel2_"+curPanel).unbind();
		}
	}
	
	// Set up "Current" panel and next and prev
	growBigger("#panel2_3");	
	var curPanel = 3;
	
	$("#panel2_"+(curPanel+1)).click(function(){ change(true); });
	$("#panel2_"+(curPanel-1)).click(function(){ change(false); });
	
	//when the left/right arrows are clicked
	$(".right2").click(function(){ change(true); });	
	$(".left2").click(function(){ change(false); });
	
	
});