$(function() {
	
	var totalPanels			= $(".scrollContainer4").children().size();
		
	var regWidth			= $(".panel4").css("width");
	var regImgWidth			= $(".panel4 img").css("width");
	var regTitleSize		= $(".panel4 h2").css("font-size");
	var regParSize			= $(".panel4 p").css("font-size");
	
	var movingDistance	    = 300;
	
	var curWidth			= 350;
	var curImgWidth			= 326;
	var curTitleSize		= "20px";
	var curParSize			= "15px";

	var $panels				= $('#slider4 .scrollContainer4 > div');
	var $container			= $('#slider4 .scrollContainer4');

	$panels.css({'float' : 'left','position' : 'relative'});
    
	$("#slider4").data("currentlyMoving4", false);

	$container
		.css('width', ($panels[0].offsetWidth * $panels.length) + 100 )
		.css('left', "-1550px");

	var scroll = $('#slider4 .scroll4').css('overflow', 'hidden');

function returnToNormal(element) {
		$(element)
			.animate({ width: regWidth })
			.find("img")
			.animate({ width: regImgWidth })
		    .end()
			.find("h2")
			.animate({ fontSize: regTitleSize })
			.end()
			.find("p")
			.animate({ fontSize: regParSize });
	};
	
	function growBigger(element) {
		$(element)
			.animate({ width: curWidth })
			.find("img")
			.animate({ width: curImgWidth })
		    .end()
			.find("h2")
			.animate({ fontSize: curTitleSize })
			.end()
			.find("p")
			.animate({ fontSize: curParSize });
	}
	
	
	//direction true = right, false = left
	function change(direction) {
	   
	    //if not at the first or last panel
		if((direction && !(curPanel < totalPanels)) || (!direction && (curPanel <= 1))) { return false; }	
        
        //if not currently moving
        if (($("#slider4").data("currentlyMoving4") == false)) {
            
			$("#slider4").data("currentlyMoving4", true);
			
			var next         = direction ? curPanel + 1 : curPanel - 1;
			var leftValue    = $(".scrollContainer4").css("left");
			var movement	 = direction ? parseFloat(leftValue, 10) - movingDistance : parseFloat(leftValue, 10) + movingDistance;
		
			$(".scrollContainer4")
				.stop()
				.animate({
					"left": movement
				}, function() {
					$("#slider4").data("currentlyMoving4", false);
				});
			
			returnToNormal("#panel4_"+curPanel);
			growBigger("#panel4_"+next);
			
			curPanel = next;
			
			//remove all previous bound functions
			$("#panel4_"+(curPanel+1)).unbind();	
			
			//go forward
			$("#panel4_"+(curPanel+1)).click(function(){ change(true); });
			
            //remove all previous bound functions															
			$("#panel4_"+(curPanel-1)).unbind();
			
			//go back
			$("#panel4_"+(curPanel-1)).click(function(){ change(false); }); 
			
			//remove all previous bound functions
			$("#panel4_"+curPanel).unbind();
		}
	}
	
	// Set up "Current" panel and next and prev
	growBigger("#panel4_7");	
	var curPanel = 7;
	
	$("#panel4_"+(curPanel+1)).click(function(){ change(true); });
	$("#panel4_"+(curPanel-1)).click(function(){ change(false); });
	
	//when the left/right arrows are clicked
	$(".right4").click(function(){ change(true); });	
	$(".left4").click(function(){ change(false); });

	
	
});