$(function() {
	
	var totalPanels			= $(".scrollContainer3").children().size();
		
	var regWidth			= $(".panel3").css("width");
	var regImgWidth			= $(".panel3 img").css("width");
	var regTitleSize		= $(".panel3 h2").css("font-size");
	var regParSize			= $(".panel3 p").css("font-size");
	
	var movingDistance	    = 300;
	
	var curWidth			= 350;
	var curImgWidth			= 326;
	var curTitleSize		= "20px";
	var curParSize			= "15px";

	var $panels				= $('#slider3 .scrollContainer3 > div');
	var $container			= $('#slider3 .scrollContainer3');

	$panels.css({'float' : 'left','position' : 'relative'});
    
	$("#slider3").data("currentlyMoving3", false);

	$container
		.css('width', ($panels[0].offsetWidth * $panels.length) + 100 )
		.css('left', "-350px");

	var scroll = $('#slider3 .scroll3').css('overflow', 'hidden');

function returnToNormal(element) {
		$(element)
			.animate({ width: regWidth })
			.find("img")
			.animate({ width: regImgWidth })
		    .end()
			.find("h2")
			.animate({ fontSize: regTitleSize })
			.end()
			.find("p")
			.animate({ fontSize: regParSize });
	};
	
	function growBigger(element) {
		$(element)
			.animate({ width: curWidth })
			.find("img")
			.animate({ width: curImgWidth })
		    .end()
			.find("h2")
			.animate({ fontSize: curTitleSize })
			.end()
			.find("p")
			.animate({ fontSize: curParSize });
	}
	
	
	//direction true = right, false = left
	function change(direction) {
	   
	    //if not at the first or last panel
		if((direction && !(curPanel < totalPanels)) || (!direction && (curPanel <= 1))) { return false; }	
        
        //if not currently moving
        if (($("#slider3").data("currentlyMoving3") == false)) {
            
			$("#slider3").data("currentlyMoving3", true);
			
			var next         = direction ? curPanel + 1 : curPanel - 1;
			var leftValue    = $(".scrollContainer3").css("left");
			var movement	 = direction ? parseFloat(leftValue, 10) - movingDistance : parseFloat(leftValue, 10) + movingDistance;
		
			$(".scrollContainer3")
				.stop()
				.animate({
					"left": movement
				}, function() {
					$("#slider3").data("currentlyMoving3", false);
				});
			
			returnToNormal("#panel3_"+curPanel);
			growBigger("#panel3_"+next);
			
			curPanel = next;
			
			//remove all previous bound functions
			$("#panel3_"+(curPanel+1)).unbind();	
			
			//go forward
			$("#panel3_"+(curPanel+1)).click(function(){ change(true); });
			
            //remove all previous bound functions															
			$("#panel3_"+(curPanel-1)).unbind();
			
			//go back
			$("#panel3_"+(curPanel-1)).click(function(){ change(false); }); 
			
			//remove all previous bound functions
			$("#panel3_"+curPanel).unbind();
		}
	}
	
	// Set up "Current" panel and next and prev
	growBigger("#panel3_3");	
	var curPanel = 3;
	
	$("#panel3_"+(curPanel+1)).click(function(){ change(true); });
	$("#panel3_"+(curPanel-1)).click(function(){ change(false); });
	
	//when the left/right arrows are clicked
	$(".right3").click(function(){ change(true); });	
	$(".left3").click(function(){ change(false); });
		
});